const fs = require('fs');
const path = require('path');
const _ = require('lodash');
const utils = require('./utils');

/**
 * Looks for files with .html, .hbs, or .handlebars extensions within the given directory, and adds
 * them as layout files to be used by pages.
 * @param {string} dir - Folder to check for layouts.
 */
module.exports = function loadLayouts(dir) {
    const layouts = utils.loadFiles(dir, '**/*.{html,hbs,handlebars}');

    _.each(layouts, (layout) => {
        const ext = path.extname(layout);
        const name = path.basename(layout, ext);
        const file = fs.readFileSync(layout);
        this.layouts[name] = this.Handlebars.compile(file.toString());
    });
};
