const fs = require('fs');
const path = require('path');
const glob = require('glob');
const _ = require('lodash');

/**
 * Load a set of files
 * @param  {string|array} dir
 * @param  {string}       pattern
 * @return {array}
 */
exports.loadFiles = function loadFiles(directory, pattern) {
    directory = _.castArray(directory);

    return _.reduce(directory, (memo, file) => {
        return memo.concat(glob.sync(path.join(process.cwd(), file, pattern)));
    }, []);
};

exports.loadJSON = function loadJSON(filepath) {
    return JSON.parse(fs.readFileSync(filepath, 'utf-8'));
};
